org.apache.sysds.runtime.compress.colgroup

## Class ColGroupIO

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.ColGroupIO

-     public class ColGroupIO
      extends Object

  This has the IO responsibility of ColGroups, such that it enables to read and write ColGroups to and from a DataInput and DataOutput

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColGroupIO()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<ColGroup>` | `readGroups(DataInput in)` Read groups from a file.
    `static void` | `writeGroups(DataOutput out, List<ColGroup> colGroups)` Writes the ColGroups out to the DataOutput.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColGroupIO

          public ColGroupIO()

  - ### Method Detail

    - #### readGroups

          public static List<ColGroup> readGroups(DataInput in)
                                           throws IOException

      Read groups from a file. Note that the information about how many should be in the file already.
      Parameters:
        `in` - The Data input object to read from.
      Returns:
        Return a List containing the ColGroups from the DataInput.
      Throws:
        `IOException` - Throws IO Exception if the in refuses to read data.

    - #### writeGroups

          public static void writeGroups(DataOutput out,
                                         List<ColGroup> colGroups)
                                  throws IOException

      Writes the ColGroups out to the DataOutput.
      Parameters:
        `out` - The DataOutput the ColGroups are written to
        `colGroups` - List of the ColGroups to write to file.
      Throws:
        `IOException` - Throws IO Exception if the out refuses to write.

Copyright © 2020 The Apache Software Foundation. All rights reserved.